Bug 174167 - science/flounder: Fix build with clang
Summary: science/flounder: Fix build with clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-05 18:10 UTC by tkato432
Modified: 2012-12-23 19:11 UTC (History)
0 users

See Also:


Attachments
file.diff (4.33 KB, patch)
2012-12-05 18:10 UTC, tkato432
no flags Details | Diff
science_flounder.diff (6.80 KB, patch)
2012-12-12 18:00 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2012-12-05 18:10:03 UTC
- Fix build with clang
- Support PLIST_FILES
- Strip binaries

Remove file:
pkg-plist
Comment 1 Beech Rintoul freebsd_committer 2012-12-10 07:43:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

I'll take it
Comment 2 beech 2012-12-12 04:15:51 UTC
Does not build with either clang or gcc, exits with the following error:

flguppy.cc: In constructor 'GlAreaUI::GlAreaUI()':
flguppy.cc:1720: warning: deprecated conversion from string constant to 
'char*'
gmake[1]: *** [Glarea.o] Error 1

http://tom1.akherb.com/tb/errors/9-FreeBSD/flounder-0.40_15.log

Beech
Comment 3 tkato432 2012-12-12 18:00:01 UTC
Here is the corrected patch.
Comment 4 beech 2012-12-23 05:05:30 UTC
On Thursday 13 December 2012 01:57:53 KATO Tsuguru wrote:
> Beech Rintoul (beech@freebsdnorth.com) wrote:
> > Now the new patch fails:
> > 
> > ===>  Patching for flounder-0.40_15
> > ===>  Applying FreeBSD patches for flounder-0.40_15
> > 1 out of 1 hunks failed--saving rejects to src/Glarea.cc.rej
> > => Patch patch-Glarea.cc failed to apply cleanly.
> 
> Perhaps "-p" (pathname strip count) option for patch command would
> be wrong. This can cause problems when patch tries to create files
> into subdirectory.
> 
> The patch would be applied cleanly by following either of the
> examples below:
> 
> % cat science_flounder.diff | patch -p -d $PORTSDIR
> % cat science_flounder.diff | patch -p1 -d $PORTSDIR/science
> % cat science_flounder.diff | patch -p2 -d $PORTSDIR/science/flounder

Please send me the latest patches (attach, not inline). The mail may be 
corrupting the patch.

Beech
Comment 5 beech 2012-12-23 05:10:28 UTC
On Thursday 13 December 2012 01:57:53 KATO Tsuguru wrote:
> Beech Rintoul (beech@freebsdnorth.com) wrote:
> > Now the new patch fails:
> > 
> > ===>  Patching for flounder-0.40_15
> > ===>  Applying FreeBSD patches for flounder-0.40_15
> > 1 out of 1 hunks failed--saving rejects to src/Glarea.cc.rej
> > => Patch patch-Glarea.cc failed to apply cleanly.
> 
> Perhaps "-p" (pathname strip count) option for patch command would
> be wrong. This can cause problems when patch tries to create files
> into subdirectory.
> 
> The patch would be applied cleanly by following either of the
> examples below:
> 
> % cat science_flounder.diff | patch -p -d $PORTSDIR
> % cat science_flounder.diff | patch -p1 -d $PORTSDIR/science
> % cat science_flounder.diff | patch -p2 -d $PORTSDIR/science/flounder

Please send the latest patches (attach, not inline). Mail may be corrupting 
the patch.

Beech
Comment 6 Beech Rintoul freebsd_committer 2012-12-23 19:11:33 UTC
State Changed
From-To: open->closed

Committed, Thanks!